<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/standard/standard.main.php
Version=100
Updated=2006-dec-08
Type=Plugin
Author=Poncha
Description=Standard - main
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=standard
Part=main
File=standard
Hooks=standalone
Tags=
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('SED_CODE')) { die('Wrong URL.'); }

$_GET["p"] = $_GET["__STANDARD_p"];
unset($_GET["__STANDARD_p"]);
$p = sed_import('p','G','ALP');

$std_plugin_dir = dirname(__FILE__);

// If called directly, display list of plugins (or die if disabled)
if(empty($p))
{
	sed_dieifdisabled(!$cfg["plugin"]["standard"]["list_plugins"]);

	$plugin_title = $L["Plugins"];
	$plugin_body = "";
	if($dir = opendir($std_plugin_dir))
	{
		$plugin_body .= "<ul>";
		while($file = readdir($dir))
		{
			if($file{0} == ".") continue;

			$pl_dir = $std_plugin_dir."/".$file;
			$pl_file = $pl_dir."/{$file}.php";
			if(!is_dir($pl_dir) || !is_file($pl_file)) continue;

			$pl_info = sed_infoget($pl_file, "LDU");
			$pl_name = ucwords($file);
			if(!isset($pl_info["Error"]) && !empty($pl_info["Description"]))
				$pl_name = $pl_info["Description"];

			$plugin_body .= "<li><a href='plug.php?p={$file}'>{$pl_name}</a></li>";
		}
		closedir($dir);
		$plugin_body .= "</ul>";
	}
	else sed_die();
	return;
}

$pl_dir = $std_plugin_dir."/".$p;
$pl_config = $pl_dir."/{$p}.config.php";
$pl_file = $pl_dir."/{$p}.php";

sed_die(!is_dir($pl_dir) || !is_file($pl_file) || !is_readable($pl_file));

// engine makes plugin_title link to "self", let it know where to go.
$e .= "&amp;p={$p}";

// Define LDU vars
if(!defined("LDU_CODE")) define("LDU_CODE",1);
define("LDU_PLUG",1);

// Load plugin language file if present
$pl_langdir = $pl_dir."/lang";
if(is_dir($pl_langdir))
{
	$pl_langfile = $pl_langdir."/{$p}.{$lang}.lang.php";
	$pl_langfile_default = $pl_langdir."/{$p}.{$cfg["defaultlang"]}.lang.php";
	$pl_langfile_fallback = $pl_langdir."/{$p}.en.lang.php";
	$pl_langfile_legacyfallback = $pl_langdir."/{$p}.uk.lang.php";

	if(is_file($pl_langfile)) include($pl_langfile);
	elseif(is_file($pl_langfile_default)) include($pl_langfile_default);
	elseif(is_file($pl_langfile_fallback)) include($pl_langfile_fallback);
	elseif(is_file($pl_langfile_legacyfallback)) include($pl_langfile_legacyfallback);
}

// Load plugin config file if present
if(is_file($pl_config)) include($pl_config);

// Run the plugin
include($pl_file);

?>
